package com.fjhx.wms.service.warehouse;

import com.fjhx.wms.entity.warehouse.po.Warehouse;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.warehouse.vo.WarehouseVo;
import com.fjhx.wms.entity.warehouse.dto.WarehouseSelectDto;
import com.fjhx.wms.entity.warehouse.dto.WarehouseDto;


/**
 * <p>
 * 仓库 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
public interface WarehouseService extends BaseService<Warehouse> {

    /**
     * 仓库分页
     */
    Page<WarehouseVo> getPage(WarehouseSelectDto dto);

    /**
     * 仓库明细
     */
    WarehouseVo detail(Long id);

    /**
     * 仓库新增
     */
    void add(WarehouseDto warehouseDto);

    /**
     * 仓库编辑
     */
    void edit(WarehouseDto warehouseDto);

    /**
     * 仓库删除
     */
    void delete(Long id);

}
